

stages:         
  - build
  - test
  - deploy

build-job:       
  stage: build
  script: 
    - echo "Deploying on $CLOUD_PROVIDER -- $VM"
  parallel: 
    matrix:
      #- CLOUD_PROVIDER: [aws, gcp]
      - CLOUD_PROVIDER: 
        - aws
        - gc
        VM: [vm1, vm2, vm3, vm4, vm5]




